Get groups of permissions for a study role for a study ID

get

/ec-auth-svc/rest/v1.0/studyroles/{studyroleId}/study/{studyId}/rightsgroups

Fetch all rights groups associated with a specific role for a given study. Returns all permissions and properties assigned to the study role.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

List of rights groups for the given study role and study.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DisplayRoleWithRightsDto
Type: object
Represents a role with associated rights and additional attributes.
Show Source
Example:
{
    "id":"D2FEB81D0E364B22B2EE172CD220A1D1",
    "roleName":"Rule Designer",
    "roleCategory":"STUDY_SPECIFIC",
    "roleSubCategory":"LEAD",
    "unblinded":"YES",
    "objectVersionNumber":3,
    "selected":true,
    "rights":[
        {
            "id":"A8C7B83378261E99F4A6823F43A6063B",
            "rightName":"ACCESS_SUBJECT_DATA"
        }
    ]
}
Nested Schema : rights
Type: object
A right associated with a role. Contains the unique identifier and name of the right.
Show Source
Example:
{
    "id":"A8C7B83378261E99F4A6823F43A6063B",
    "rightName":"ACCESS_SUBJECT_DATA"
}
Examples

400 Response

Invalid role ID, study ID, or study role type.
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top